const fs = require('fs')
const dotenv = require('dotenv')

const PREFIX = 'window.env = '
const POSTFIX = ';'

const convertFile = (source, destination) => {
  const file = fs.readFileSync(source)

  const config = dotenv.parse(file)
  const configJsonString = JSON.stringify(config)
  const output = PREFIX + configJsonString + POSTFIX

  fs.writeFile(destination, output, (err) => {
    if (err) {
      throw err
    }
  })
}

const run = (stage) => {
  switch (stage) {
    case 'dev':
      convertFile('../.env', 'public/env.js')
      break
    case 'prod':
      convertFile('../.env.production', `public/env.production.js`)
      break
    default:
      console.error('unknown stage', stage)
  }
}

module.exports.run = run
