import { useParams } from '@redwoodjs/router'
import React from 'react'
import { GetReportQuery } from './query-builder/get-report-query'
import { Code, HStack, VStack, Text } from '@chakra-ui/react'
import { DateUtils } from 'src/utils/date-utils'
import { capitalize } from 'lodash'
import { useTranslation } from 'react-i18next'

export const ReportDetails = () => {
  const { t } = useTranslation()
  const { id } = useParams()

  const getReportQuery = GetReportQuery.useQuery({ id })
  const report = getReportQuery.data

  if (!report) {
    return null
  }

  return (
    <VStack w="full">
      <VStack w="80%">
        <HStack
          w="full"
          justifyContent="space-between"
          fontSize="x-large"
          fontWeight="bold"
        >
          <Text>
            {capitalize(t('report'))}: {report.name}
          </Text>
          <Text>{DateUtils.formatLocalDateTime(report.createdDate)}</Text>
        </HStack>
        <Code>{report.executionResult}</Code>
      </VStack>
    </VStack>
  )
}
